NOTE: This example does not build and is being updated.
Experimental example code, likely to change.
Users should not attempt to run this code till this warning is removed.

C++ Client implementation for Cloud Pub/Sub service
(https://developers.google.com/apis-explorer/#p/pubsub/v1beta1/).

"Google Cloud Pub/Sub" API needs to be enabled at
https://console.developers.google.com/project to open the access for a client. 
Select the project name, select the "APIs" under "APIs & auth", and turn
on "Google Cloud Pub/Sub" API. 

To run the client from Google Compute Engine (GCE), the GCE instance needs to
be created with scope "https://www.googleapis.com/auth/cloud-platform" as below:

gcloud compute instances create instance-name 
    --image debian-7 --scopes https://www.googleapis.com/auth/cloud-platform


To run the client:
make pubsub_client
bins/opt/pubsub_client --project_id="your project id"
